classification
Title: Update to OpenSSL 1.1.1d, 1.1.0l, 1.0.2t
Type: security Stage: resolved
Components: Extension Modules, macOS, Windows Versions: Python 3.9, Python 3.8, Python 3.7, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, christian.heimes, lukasz.langa, matrixise, miss-islington, ned.deily, paul.moore, ronaldoussoren, steve.dower, tim.golden, zach.ware
Priority: release blocker Keywords: patch

Created on 2019-09-11 15:18 by christian.heimes, last changed 2019-09-16 15:38 by steve.dower. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 15983 merged christian.heimes, 2019-09-11 15:40
PR 15992 merged miss-islington, 2019-09-11 16:46
PR 15994 merged matrixise, 2019-09-11 17:14
PR 16170 merged ned.deily, 2019-09-16 02:16
PR 16171 merged ned.deily, 2019-09-16 02:37
PR 16172 merged miss-islington, 2019-09-16 02:38
PR 16173 merged miss-islington, 2019-09-16 02:39
PR 16178 merged steve.dower, 2019-09-16 11:51
PR 16184 merged steve.dower, 2019-09-16 13:08
PR 16185 merged miss-islington, 2019-09-16 14:21
PR 16186 merged steve.dower, 2019-09-16 14:24
Messages (16)
msg351934 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2019-09-11 15:18
OpenSSL versions 1.1.1d, 1.1.0l, and 1.0.2t were released yesterday. They contain a low priority security fix.
msg351975 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2019-09-11 16:45
New changeset 58ab13479d854491ac9207bacfae25e8b18b044a by Stéphane Wirtel (Christian Heimes) in branch 'master':
bpo-38117: Test with OpenSSL 1.1.1d (GH-15983)
https://github.com/python/cpython/commit/58ab13479d854491ac9207bacfae25e8b18b044a
msg351982 - (view) Author: miss-islington (miss-islington) Date: 2019-09-11 17:09
New changeset 0b7f3706e6a4d72f7e9988cebc4826ad2c4c4753 by Miss Islington (bot) in branch '3.8':
bpo-38117: Test with OpenSSL 1.1.1d (GH-15983)
https://github.com/python/cpython/commit/0b7f3706e6a4d72f7e9988cebc4826ad2c4c4753
msg351995 - (view) Author: miss-islington (miss-islington) Date: 2019-09-11 17:36
New changeset cec68c31e8507159534b6eec3fb5d801cd3dbf8c by Miss Islington (bot) (Stéphane Wirtel) in branch '3.7':
[3.7] bpo-38117: Test with OpenSSL 1.1.1d (GH-15983) (GH-15994)
https://github.com/python/cpython/commit/cec68c31e8507159534b6eec3fb5d801cd3dbf8c
msg351997 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2019-09-11 17:37
Thank you for your contribution Christian ;-)
msg352494 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-09-15 21:36
The Windows and macOS installers also need to by updated to the new versions.
msg352503 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-09-16 02:38
New changeset 24d1597e430498ebe2d3d18fba2cacb3957b494d by Ned Deily in branch 'master':
bpo-38117: Updated OpenSSL to 1.1.1d in macOS installer. (GH-16170)
https://github.com/python/cpython/commit/24d1597e430498ebe2d3d18fba2cacb3957b494d
msg352504 - (view) Author: miss-islington (miss-islington) Date: 2019-09-16 02:56
New changeset 26c44b5144a51f452dd0693b0278ec69d6a954a1 by Miss Islington (bot) in branch '3.7':
bpo-38117: Updated OpenSSL to 1.1.1d in macOS installer. (GH-16170)
https://github.com/python/cpython/commit/26c44b5144a51f452dd0693b0278ec69d6a954a1
msg352505 - (view) Author: miss-islington (miss-islington) Date: 2019-09-16 02:57
New changeset 346b7c928b82d9da8f6654391e9cfe55625dcfac by Miss Islington (bot) in branch '3.8':
bpo-38117: Updated OpenSSL to 1.1.1d in macOS installer. (GH-16170)
https://github.com/python/cpython/commit/346b7c928b82d9da8f6654391e9cfe55625dcfac
msg352506 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-09-16 03:36
New changeset 8dd358caf0d3f300ee64799812a020fe0de53637 by Ned Deily in branch '2.7':
bpo-38117: Updated OpenSSL to 1.0.2t in macOS installer for 2.7.x. (GH-16171)
https://github.com/python/cpython/commit/8dd358caf0d3f300ee64799812a020fe0de53637
msg352507 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-09-16 03:39
macOS 3.9, 3.8, 3.7 installers updated to 1.1.1d, macOS 2.7 installer updated to 1.0.2t. Leaving open for Windows installers updates.
msg352537 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-09-16 12:06
I've published the sources and binaries for Windows - will get to updating the 3.9/3.8/3.7 branches later today unless someone else does first (should just require version number changes).
msg352538 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-09-16 12:07
New changeset d8903416d223d01e23dfa8bffe48b1428d90d202 by Steve Dower in branch '2.7':
bpo-38117: Updates bundled OpenSSL to 1.0.2t (GH-16178)
https://github.com/python/cpython/commit/d8903416d223d01e23dfa8bffe48b1428d90d202
msg352546 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-09-16 14:21
New changeset 3ab73f6bbf4ff66e7ace3c4eab25461b5c7d71d4 by Steve Dower in branch 'master':
bpo-38117: Update bundled Windows OpenSSL to 1.1.1d (GH-16184)
https://github.com/python/cpython/commit/3ab73f6bbf4ff66e7ace3c4eab25461b5c7d71d4
msg352549 - (view) Author: miss-islington (miss-islington) Date: 2019-09-16 14:40
New changeset 26729ce74a47c3d16f219aee0a712011622aeeb5 by Miss Islington (bot) in branch '3.8':
bpo-38117: Update bundled Windows OpenSSL to 1.1.1d (GH-16184)
https://github.com/python/cpython/commit/26729ce74a47c3d16f219aee0a712011622aeeb5
msg352551 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-09-16 14:55
New changeset 76d8fb771659a5574604bf78eb2ee090f5c337cc by Steve Dower in branch '3.7':
bpo-38117: Update bundled Windows OpenSSL to 1.1.1d (GH-16184)
https://github.com/python/cpython/commit/76d8fb771659a5574604bf78eb2ee090f5c337cc
History
Date User Action Args
2019-09-16 15:38:04steve.dowersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-09-16 14:55:11steve.dowersetmessages: + msg352551
2019-09-16 14:40:23miss-islingtonsetmessages: + msg352549
2019-09-16 14:24:26steve.dowersetpull_requests: + pull_request15794
2019-09-16 14:21:28miss-islingtonsetpull_requests: + pull_request15793
2019-09-16 14:21:19steve.dowersetmessages: + msg352546
2019-09-16 13:08:28steve.dowersetpull_requests: + pull_request15792
2019-09-16 12:07:48steve.dowersetmessages: + msg352538
2019-09-16 12:06:52steve.dowersetmessages: + msg352537
2019-09-16 11:51:31steve.dowersetpull_requests: + pull_request15788
2019-09-16 03:39:09ned.deilysetnosy: + benjamin.peterson

messages: + msg352507
versions: + Python 2.7
2019-09-16 03:36:04ned.deilysetmessages: + msg352506
2019-09-16 02:57:31miss-islingtonsetmessages: + msg352505
2019-09-16 02:56:07miss-islingtonsetmessages: + msg352504
2019-09-16 02:39:49miss-islingtonsetpull_requests: + pull_request15783
2019-09-16 02:38:42miss-islingtonsetpull_requests: + pull_request15782
2019-09-16 02:38:36ned.deilysetmessages: + msg352503
2019-09-16 02:37:20ned.deilysetpull_requests: + pull_request15781
2019-09-16 02:16:28ned.deilysetstage: needs patch -> patch review
pull_requests: + pull_request15780
2019-09-15 21:36:07ned.deilysetstatus: closed -> open
priority: normal -> release blocker

components: + macOS, Windows

nosy: + ned.deily, paul.moore, tim.golden, lukasz.langa, ronaldoussoren, zach.ware, steve.dower
messages: + msg352494
resolution: fixed -> (no value)
stage: resolved -> needs patch
2019-09-11 17:37:37matrixisesetstatus: open -> closed
resolution: fixed
messages: + msg351997

stage: patch review -> resolved
2019-09-11 17:36:09miss-islingtonsetmessages: + msg351995
2019-09-11 17:14:44matrixisesetpull_requests: + pull_request15623
2019-09-11 17:09:31miss-islingtonsetnosy: + miss-islington
messages: + msg351982
2019-09-11 16:46:05miss-islingtonsetpull_requests: + pull_request15621
2019-09-11 16:45:55matrixisesetnosy: + matrixise
messages: + msg351975
2019-09-11 15:40:29christian.heimessetkeywords: + patch
stage: patch review
pull_requests: + pull_request15614
2019-09-11 15:18:48christian.heimescreate